rust-coreutils (0.10.0-1ubuntu2) stonking; urgency=medium

  * d/p/cp-fix-symlink-target-permissions.patch: Fix an issue where cp
    would alter the permissions of the source file, such as stripping the
    setuid bit (LP: #2165041)

 -- Simon Johnsson <simon.johnsson@canonical.com>  Wed, 26 Aug 2026 16:29:49 +0200

rust-coreutils (0.10.0-1ubuntu1) stonking; urgency=medium

  [ Simon Johnsson ]
  * Merge with Debian unstable. Remaining changes: (LP: #2163175)
    - Install libstdbuf.so: Modify d/rules to export LIBSTDBUF_DIR as to not
      skip stdbuf, fix libstdbuf.so permissions, and install it in
      rust-coreutils.install.
    - Install hardlinks: Rename rust-coreutils.links to
      rust-coreutils.hardlinks.
    - Enable feat_systemd_logind: This allows commands such as who and pinky
      to work correctly. Introduces libsystemd-dev as a dependency.
    - Remove Build-Depends on lld: Debian added it as the preferred linker,
      but some partial architectures like i386 may be missing it.
    - d/rules: Fix vendored sources field creation. Debian does not have
      access to dh-cargo-vendored-sources so it uses a script instead.
      Change it to use dh-cargo-vendored-sources on Ubuntu instead.
    - d/rules: Skip failing tests.
    - Add patches:
      + build-stty
      + dd-ensure-full-writes
      + require-utility-to-be-invoked-at-matching-path
      + Tweak-release-build-profile
      + rust-vendor/glibc-2.42
      + rustix-use-libc-backend
    - Remove upstream patches:
      + fix-ppc64el-baudrate.diff: Launchpad's builders instead fails on
        ppc64le for this patch, the original source code is correct.
    - Update vendored rust crates
    - debian/control: Update XS-Vendored-Sources-Rust field
  * Drop changes:
    - Remove patches fixed upstream:
      + cp-respect-composite-flag
      + fix-cp-parents
      + fix-incomplete-locale-bundles
      + fix-locale-path: Debian adopted this patch.
  * New changes:
    - debian/patches/remove-workspace-members.patch: Remove workspace member
      array to prevent dh-cargo bypassing workspace-exclude.patch. Otherwise
      vendored dependencies would still think that they're part of the
      workspace.
  * Fixes:
    - File ownership changes when a file is mv'ed by root to a different file
      system (LP: #2134860)
    - Failing to build images: mv resolv.conf.tmp
      /build/chroot/etc/resolv.conf mv: File exists (os error 17)
      (LP: #2159679)
    - unaligned plus in "ls -l" output (LP: #2132368)
    - git-buildpackage ftbfs on resolute-proposed due to rust coreutils
      (LP: #2137580)
    - env: signal flags do not understand RTMIN+n notation (LP: #2142900)
    - date: width prefix in %N format specifier is ignored
      ( %3N, %6N always output full 9 nanosecond digits) (LP: #2150342)
    - changes in behaviour of cp in coreutils-from-uutils break test case in
      util-linux (LP: #2157011)
    - systemd: TEST-45-TIMEDATE is flaky with rust coreutils (LP: #2157342)

  [ Varun Varma ]
  * debian/patches/df-statfs-fallback.patch: Add a fallback to statfs if the
    mount path could not be found normally (LP: #2116290).

 -- Simon Johnsson <simon.johnsson@canonical.com>  Tue, 11 Aug 2026 18:06:43 +0200

rust-coreutils (0.10.0-1) unstable; urgency=medium

  * New upstream release.
  * Rework the source package to match the layout used by Ubuntu, so that
    merging Debian into Ubuntu no longer means undoing our repack:
    - Drop debian/repack.sh: the orig tarball is now the pristine GitHub tag.
    - d/watch: new, fetching the upstream tag plus the translations from
      uutils/coreutils-l10n as an l10n component tarball (unpacked in l10n/).
      Written in the version=4 syntax because devscripts in Debian does not
      support the newer "Version: 5" templates yet.
    - The vendored crates move out of the orig tarball into
      debian/rust-vendor/, generated by the new "debian/rules vendor" target
      with cargo-vendor-filterer (tier 2, *-*-linux-gnu* only). Vendor-only
      patches now have their own quilt series, debian/patches/rust-vendor/,
      applied by dh_quilt_patch; Build-Depends on quilt accordingly.
    - d/control: add the XS-Vendored-Sources-Rust field.
    - d/README.source: document the whole workflow.
  * debian/patches:
    - Drop use-vendor.diff, handled by "cargo prepare-debian" now.
    - Drop disable-utmp-classic.diff: utmp-classic is an OpenBSD-only target
      dependency, so it is never built on Linux; only its (unused) vendored
      copy remains. Ubuntu dropped the patch for the same reason.
    - Replace fix-locale-path.diff by Ubuntu's fix-locale-path.patch and add
      their use-l10n-translations-in-makefile.patch, the translations being
      installed from l10n/ instead of src/uu/*/locales/.
    - New workspace-exclude.patch, to keep debian/rust-vendor out of the
      cargo workspace.
    - Rebase the remaining patches on 0.10.0 and refresh the whole series
      with standard -p1 headers.
  * Ship debian/tldr.zip (English pages only): the pristine tarball does not
    carry the tldr archive that improve-man.diff turns into the EXAMPLES
    section of the manpages, and the build has no network access.

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 06 Aug 2026 00:20:00 +0200

rust-coreutils (0.9.0-3) unstable; urgency=medium

  * Use the debian/changelog date (via SOURCE_DATE_EPOCH) for the
    generated manpage date instead of the current build date, so the
    package builds reproducibly. New patch reproducible-man-date.diff.

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 04 Jun 2026 11:12:51 +0200

rust-coreutils (0.9.0-2ubuntu2) stonking; urgency=medium

  [ Simon Johnsson ]
  * Remove lld as dependency as it is not available on i386:
    - d/control: Remove Build-Depends lld
    - d/rules: Change RUSTFLAGS to omit lld
  * debian/patches:
    - cp-respect-composite-flag: Cherry-pick fix from upstream for issue
      where the -a flag is not considered recursive due to flag stripping
      (LP: #2158691)

  [ Varun Varma ]
  * debian/patches:
    - rustix-use-libc-backend: Switch rustix backend to libc to solve
      the error where tools that rely on LD_PRELOAD have altered
      behaviour with the default rustix backend (LP: #2160614).

 -- Simon Johnsson <simon.johnsson@canonical.com>  Tue, 14 Jul 2026 17:15:36 +0200

rust-coreutils (0.9.0-2ubuntu1) stonking; urgency=medium

  * Merge with Debian unstable. Remaining changes: (LP: #2153168)
    - Install libstdbuf.so
    - Install hardlinks
    - Refresh upstream patches
    - Use direct GitHub tarball instead of debian/repack.sh
    - d/rules:
      + Add vendoring targets
      + Build verbosely
      + Skip failing tests
    - d/watch: add watch file
    - d/patches:
      + Tweak-release-build-profile.patch
      + workspace-exclude.patch
      + build-stty.patch
      + require-utility-to-be-invoked-at-matching-path.patch
      + glibc-2.42.patch
      + dd-ensure-full-writes.patch
      + use-l10n-translations-in-makefile.patch
      + fix-locale-path.patch
      + fix-incomplete-locale-bundles.patch
    - d/control: update XS-Vendored-Sources-Rust field
    - vendor: update vendored deps
    - l10n/: update translations
  * Fixes:
    - xattrs break ls formatting (LP: #2154338)
    - ls: files are not sorted in alphabetical order when using
      --group-directories-first or if LC_ALL is unset (LP: #2154042)
  * Drop changes:
    - d/p/tee-fix-input-with-sleep.patch: The underlying issue was fixed
      upstream, so drop the patch.
  * New changes:
    - Enable feat_systemd_logind to fix who not showing output
      (LP: #2152801, LP: #2146819, LP: #2146818)
      + d/control: Add libsystemd-dev as a dependency.
      + d/rules: Link systemd and add feat_systemd_logind to CARGOFLAGS.
    - d/p/fix-cp-parents.patch: Cherry-pick fix from upstream for cp --parents
      bug resulting in build failures (LP: #2155763)
    - Remove unnecessary upstream patches:
      + disable-utmp-classic.diff
      + fix-locale-path.diff: Locale handling is different on Ubuntu, using
        l10n (see the new fix-locale-path.patch).
      + fix-man.diff: Uncommented in the upstream series.
      + fix-ppc64el-baudrate.diff: Launchpad's builders instead fails on
        ppc64le for this patch, the original source code is correct.
      + use-vendor.diff: Vendor handling is different on Ubuntu.
    - Remove docs/tldr.zip from Debian upstream
    - Delete locales shipped in Debian upstream under src/
    - Move vendored dependencies to debian/

 -- Simon Johnsson <simon.johnsson@canonical.com>  Thu, 04 Jun 2026 15:54:29 +0200

rust-coreutils (0.9.0-2) unstable; urgency=medium

  * Fix the i386 (32-bit) FTBFS (OOM): the test build did fat LTO +
    codegen-units=1 + full debuginfo on the giant all-utils crate and ran out
    of the ~3GB address space. Set CARGO_PROFILE_RELEASE_LTO=thin,
    CODEGEN_UNITS=16 and DEBUG=1 via env on all 32-bit arches so every cargo
    invocation honours them, replacing the sed hacks that missed the test step.

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 31 May 2026 10:04:41 +0200

rust-coreutils (0.9.0-1) unstable; urgency=medium

  * New upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 30 May 2026 17:07:32 +0200

rust-coreutils (0.8.0-6) unstable; urgency=medium

  * Fix the s390x FTBFS (150min buildd inactivity timeout). The previous
    sed only disabled LTO around dh_auto_install, so the default build and
    the test build still did fat LTO + codegen-units=1 + full debuginfo on
    the giant all-utils crate, which is what actually timed out. Now set
    CARGO_PROFILE_RELEASE_LTO=false, CODEGEN_UNITS=16 and DEBUG=1 via env so
    every cargo invocation honours them.
  * Skip the (non-gating) test suite on s390x: the release test build was
    the step hitting the timeout (killed at "Compiling unindent").
  * Use lld as the linker on every architecture when it is available, not
    just on s390x: ld.lld is detected at build time (via command -v) and
    -fuse-ld=lld is added when present, falling back to the default linker
    otherwise. lld links the multicall binary much faster than GNU ld.
    Build-Depend on lld on all architectures (it ships from the same
    llvm-toolchain source as the already-required libclang-dev).
  * Log the linker on every architecture: emit the -Wl,-v banner on every
    link and print rustc -vV / ld.lld / ld at configure time, so every build
    log records which linker ran. Previously the ld.lld check lived in
    dh_auto_install (never reached when the build timed out) and only on s390x.

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 28 May 2026 08:08:46 +0200

rust-coreutils (0.8.0-5) unstable; urgency=medium

  * Disable LTO on s390x: thin LTO + lld in 0.8.0-4 still timed out on
    the buildd, so turn LTO off entirely on s390x.
  * Print ld.lld version and ask the linker to log itself (-Wl,-v) so
    the build log shows which linker was actually invoked.

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 27 May 2026 23:11:39 +0200

rust-coreutils (0.8.0-4) unstable; urgency=medium

  * Use lld as the linker on s390x: thin LTO alone in 0.8.0-3 did not
    unblock the buildd timeout, so switch the final link to ld.lld.

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 27 May 2026 08:04:14 +0200

rust-coreutils (0.8.0-3) unstable; urgency=medium

  * Use thin LTO on s390x to avoid linker timeouts on the buildd

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 27 May 2026 08:04:14 +0200

rust-coreutils (0.8.0-2) unstable; urgency=medium

  * try to unbreak the ppc64 build

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 17 May 2026 14:58:46 +0200

rust-coreutils (0.8.0-1) unstable; urgency=medium

  * New upstream release (Closes: #1134876)
  * Improve the manpage (LP: #2115782)
  * Add manpage symlink for coreutils binary (no-manual-page)
  * Extend disable-utmp-classic.diff to cover the new
    [target.'cfg(target_os = "openbsd")'.dependencies] block in
    src/uucore/Cargo.toml introduced upstream in 0.8.0 (fixes FTBFS).
  * Disable fix-man.diff: it converts .ftl bullet markers from `-` to `*`
    and rewrites top-level `key = value` lines as markdown bullets, which
    is invalid Fluent syntax. uudoc loads each utility's locale via
    setup_localization_or_exit and was aborting manpage generation with
    a Localization parse error. Patch kept in debian/patches/ but
    commented out in series until it can be rewritten Fluent-cleanly.

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 06 May 2026 13:08:52 +0000

rust-coreutils (0.8.0-0ubuntu3) resolute; urgency=medium

  * d/p/fix-incomplete-locale-bundles.patch: Fix an error where messages did
    not fallback to embedded locales correctly if utility-specific locales
    were missing. This lead to tests failing that expected translated
    messages but received the raw Fluent key instead.

 -- Simon Johnsson <simon.johnsson@canonical.com>  Thu, 16 Apr 2026 14:41:19 +0200

rust-coreutils (0.8.0-0ubuntu2) resolute; urgency=medium

  * d/p/tee-fix-input-with-sleep.patch: Fix an error where tee prematurely
    exits causing a SIGPIPE/EPIPE. This happened when the first read() returns
    fewer than 8 KiB, causing the upstream process in a pipeline to receive
    SIGPIPE/EPIPE and fail.

 -- Simon Johnsson <simon.johnsson@canonical.com>  Wed, 15 Apr 2026 11:21:14 +0200

rust-coreutils (0.8.0-0ubuntu1) resolute; urgency=medium

  * New upstream version (LP: #2147425)
  * Drop patch:
    - use-u32-for-ppc64le.patch: Added upstream.
  * Refresh patches:
    - Tweak-release-build-profile.patch
    - build-stty.patch
    - dd-ensure-full-writes.patch
    - glibc-2.42.patch
    - require-utilities-to-be-invoked-using-matching-path.patch
    - use-l10n-translations-in-makefile.patch
    - workspace-exclude.patch
  * Add patches:
    - fix-locale-path.patch: Use a specific known directory for locale
      lookup. This also installs locales in /usr/share/coreutils/locales
      instead of /usr/share/locales/.

 -- Simon Johnsson <simon.johnsson@canonical.com>  Tue, 07 Apr 2026 12:34:13 +0200

rust-coreutils (0.7.0-1) unstable; urgency=medium

  * New upstream release
  * Move to https://salsa.debian.org/rust-team/coreutils
  * Improve the manpages example display

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 09 Mar 2026 06:59:39 +0100

rust-coreutils (0.7.0-0ubuntu1) resolute; urgency=medium

  * New upstream version 0.7.0 (LP: #2143711)
  * Fixes:
    - `man 1 test` is badly formated (LP: #2115782)
    - cp -r /dev/urandom copies content (LP: #2125263)
    - date: gnu date allows options after format (LP: #2142588)
    - autopkgtest failures in resolute due to readlink (LP: #2141441)
  * Refresh patches:
    - Tweak-release-build-profile.patch
    - dd-ensure-full-writes.patch
    - require-utilities-to-be-invoked-using-matching-path.patch
    - use-l10n-translations-in-makefile.patch
    - workspace-exclude.patch
  * Drop patches:
    - prevent-stty-termios2-on-ppc64el.patch: Fixed upstream.
  * Add patches:
    - use-u32-for-ppc64le.patch: Fix type assumption for ppc64 little-endian.
      This relates to the previous dropped patch about termios2, but upstream
      did not treat little- and big-endian ppc64 differently.

 -- Simon Johnsson <simon.johnsson@canonical.com>  Mon, 09 Mar 2026 11:33:48 +0100

rust-coreutils (0.6.0-1) unstable; urgency=medium

  * New upstream release
  * Vendor dependencies. Too hard to maintain in Debian

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 17 Feb 2026 13:48:51 +0100

rust-coreutils (0.6.0-0ubuntu1) resolute; urgency=medium

  * New usptream version (LP: #2139697)
  * Fixes:
    - comm does not work as expected with process substitution (LP: #2138315)
    - git: FTBFS in Resolute (LP: #2138217)
    - tee with multiple --append fails in rust corutils (LP: #2134578)
    - echo 1 | sort | head -n0: sort: write failed: 'standard output':
      Broken pipe (LP: #2133156)
    - env: Rust unwrap with UTF-8 symbols in environment variables
      (LP: #2132941)
    - "du" is double-counting hard links when multiple arguments specified
      (LP: #2132245)
    - dd: O_DIRECT partial block writes fail (LP: #2132150)
    - date does not support localized output (LP: #2130859)
    - SSH sessions blocked on unavailable automounts by default in Ubuntu 25.10
      (LP: #2130843)
    - rust-coreutils 'shred' refuses to write to a device (LP: #2130396)
    - rust-coreutils stats handling breaks wireguard's wg-quick (LP: #2127851)
    - rust-coreutils:dd: Broken pipe (LP: #2125943)
    - /usr/bin/sort: -k option does not behave as GNU's sort (LP: #2125504)
    - uutils wc crashed with SIGABRT on logout (LP: #2122166)
    - who, pinky are empty - need to talk to logind (LP: #2117771)
  * Drop applied patches:
    - use-mem-zeroed.diff: The timespec C-binding struct has been replaced
      by the safe abstraction nix::sys::time::TimeSpec. Padding should now
      be handled internally for 32-bit architectures.
  * Refresh patches:
    - Tweak-release-build-profile.patch
    - build-stty.patch
    - dd-ensure-full-writes.patch
    - fix-prefix.diff
    - glibc-2.42.patch
    - require-utilities-to-be-invoked-using-matching-path.patch
    - use-l10n-translations-in-makefile.patch
    - workspace-exclude.patch
  * Add patch:
    - prevent-stty-termios2-on-ppc64el.patch: The termios2 header is not
      always available or exposed on ppc64el systems. Use the standard termios
      interface instead to avoid build failures on such systems.
  * Skip failing tests:
    (s390x)
    - test_env::test_simulation_of_terminal_for_stdout_only
    - test_nohup::test_nohup_stderr_to_stdout
    - test_nohup::test_nohup_with_pseudo_terminal_emulation_on_stdin_stdout_stderr_get_replaced
    - test_touch::test_touch_changes_time_of_file_in_stdout
      (amd64v3)
    - test_dd::test_stdin_stdout_skip_w_multiplier
  * Re-enable previously failing tests:
    - test_chown::test_chown_only_group_id_nonexistent_group
    - test_chown::test_chown_only_user_id_nonexistent_user
    - test_expr::test_long_input
    - test_factor::test_parallel
    - test_install::test_install_and_strip
    - test_install::test_install_and_strip_with_program
    - test_ls::test_device_number
    - test_ls::test_localized_possible_values
    - test_od::test_od_options_after_filename
    - test_od::test_suppress_duplicates
    - test_sort::
      + test_argument_suggestion
      + test_clap_localization_help_message
      + test_clap_localization_invalid_value
      + test_clap_localization_unknown_argument
      + test_error_colors_disabled
      + test_error_colors_enabled
      + test_french_translations
      + test_help_colors_disabled
      + test_help_colors_enabled
    - test_stat::
      + test_mount_point_basic
      + test_mount_point_combined_with_other_specifiers
      + test_multi_files
      + test_normal_format
      + test_printf
      + test_symlinks
      + test_terse_fs_format
    - test_error_messages_french_translation
    - test_french_colored_error_messages
    - test_help_messages_french_translation
    - util_invalid_name_invalid_command

 -- Simon Johnsson <simon.johnsson@canonical.com>  Tue, 03 Feb 2026 17:53:04 +0100

rust-coreutils (0.5.0-0ubuntu2) resolute; urgency=medium

  * Add and install l10n translation files.

 -- Simon Johnsson <simon.johnsson@canonical.com>  Fri, 30 Jan 2026 14:33:41 +0100

rust-coreutils (0.5.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (LP: #2138304)
  * Change applied patches:
    - Tweak-release-build-profile: Remove panic = "abort"
      in Cargo.toml as it is already set by default.
    - workspace-exclude: Remove tests/benches as it no
      longer exists upstream.
  * Skip failing 0.5.0 tests (LP: #2138377)
  * Enable passing 0.5.0 tests

 -- Simon Johnsson <simon.johnsson@canonical.com>  Mon, 12 Jan 2026 15:23:49 +0100

rust-coreutils (0.3.0-0ubuntu2) resolute; urgency=medium

  * Skip failing 0.3.0 tests
    https://github.com/uutils/coreutils/issues/9017

 -- Julian Andres Klode <juliank@ubuntu.com>  Sat, 25 Oct 2025 15:23:12 +0200

rust-coreutils (0.3.0-0ubuntu1) resolute; urgency=medium

  * New upstream release.
  * Drop applied patches:
    - date: use reference file (LP: #2127970)
    - id: Implement no-op `-a` option (LP: #2125578)

 -- Julian Andres Klode <juliank@ubuntu.com>  Sat, 25 Oct 2025 15:13:36 +0200

rust-coreutils (0.2.2-0ubuntu4) resolute; urgency=medium

  * Cherry pick fixes from pull requests
    - date: use reference file (LP: #2127970)
    - dd: ensure full writes (LP: #2125535)

 -- Julian Andres Klode <juliank@ubuntu.com>  Wed, 22 Oct 2025 12:39:11 +0200

rust-coreutils (0.2.2-0ubuntu2) questing; urgency=medium

  * id: Implement no-op `-a` option (LP: #2125578)

 -- Julian Andres Klode <juliank@ubuntu.com>  Wed, 24 Sep 2025 17:36:56 +0200

rust-coreutils (0.2.2-0ubuntu1) questing; urgency=medium

  * New upstream release.

 -- Julian Andres Klode <juliank@ubuntu.com>  Tue, 23 Sep 2025 17:17:36 +0200

rust-coreutils (0.1.0+git20250813.4af2a84-0ubuntu7) questing; urgency=medium

  * stty: avoid panic when not attached to a tty.
    This was causing additional stderr output in tests using
    xvfb-run, causing the tests to fail.
    (The *command* itself was failing regardless, but the failure
    case here is that the shell printed the "Aborted (core dumped)"
    messages)
  * Cherry-pick https://github.com/uutils/coreutils/pull/8565
  * Refresh 8565 to make it a "proper" patch that only patches each file once

 -- Julian Andres Klode <juliank@ubuntu.com>  Tue, 09 Sep 2025 18:54:54 +0200

rust-coreutils (0.1.0+git20250813.4af2a84-0ubuntu6) questing; urgency=medium

  * Handle speed_t changes in glibc 2.42 (LP: #2121635)

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 04 Sep 2025 23:32:09 +0200

rust-coreutils (0.1.0+git20250813.4af2a84-0ubuntu5) questing; urgency=medium

  * Require utilities to be invoked using matching path.
    Ensure that argv[0] if it is a utility name matches /proc/self/exe
    if /proc/self/exe exists. This allows AppArmor transitions to have
    reasonable effect; for example transitioning to unconfined ls cannot
    inadvertently run `rm` code.
  * Conflict with coreutils-from-uutils that linked to /usr/bin/coreutils.
    Symlinks to /usr/bin/coreutils no longer work in the new scheme,
    so we need a versioned Conflicts to force the symlinks to be
    updated first *before* we unpack the new enforcing rust-coreutils

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 04 Sep 2025 22:17:05 +0200

rust-coreutils (0.1.0+git20250813.4af2a84-0ubuntu4) questing; urgency=medium

  * Revert "Use Rust 1.85 for building", it is the default now
  * Use hardlinks in /usr/lib/cargo/bin instead of symlinks, this allows
    the next upload to enforce that argv[0] matches the executable name,
    such that an AppArmor profile allowing "ls" cannot be tricked into
    executing rm code by running "ls" with argv being {"rm", "..."}
  * Build verbosely

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 04 Sep 2025 12:34:06 +0200

rust-coreutils (0.1.0+git20250813.4af2a84-0ubuntu2) questing; urgency=medium

  * d/rules: Disable some more broken tests.
    These depend on the host's rust-coreutils, disable them for
    now. Forwarded upstream.

 -- Julian Andres Klode <juliank@ubuntu.com>  Tue, 26 Aug 2025 21:15:42 +0200

rust-coreutils (0.1.0+git20250813.4af2a84-0ubuntu1) questing; urgency=medium

  * New upstream release.

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 14 Aug 2025 16:00:22 +0200

rust-coreutils (0.1.0+git20250801.cf79675-0ubuntu1) questing; urgency=medium

  * New upstream release.
    - Fixes env(1) forks, but must exec() directly (LP: #2112491)
    - Fixes cat: f.gz: EPIPE: Broken pipe (LP: #2115033)
    - Fixes date parsing does not support sub-second precision (LP: #2111603)

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 01 Aug 2025 17:10:13 +0200

rust-coreutils (0.1.0+git20250711.2ba3a33-0ubuntu4) questing; urgency=medium

  * Cherry pick mknod --mode fix (LP: #2116973)

 -- Julian Andres Klode <juliank@ubuntu.com>  Tue, 29 Jul 2025 18:40:35 +0200

rust-coreutils (0.1.0+git20250711.2ba3a33-0ubuntu3) questing; urgency=medium

  * install-Fix-no-target-directory-with-existing-file.patch: Cherry pick
    my pull request to fix --no-target-directory with existing target file
    (LP: #2118785)

 -- Julian Andres Klode <juliank@ubuntu.com>  Tue, 29 Jul 2025 12:17:51 +0200

rust-coreutils (0.1.0+git20250711.2ba3a33-0ubuntu2) questing; urgency=medium

  * d/b/install-mkdir-Handle-dir-.-like-dir.patch: Handle dir/./ like dir/.
    (LP: #2117466)

 -- Julian Andres Klode <juliank@ubuntu.com>  Tue, 22 Jul 2025 09:48:08 +0200

rust-coreutils (0.1.0+git20250711.2ba3a33-0ubuntu1) questing; urgency=medium

  * New upstream git commit 0.1.0+git20250711.2ba3a33
    - Fix  'od' invalid handling of non ascii chars (LP: #2114827)
    - Fix `cp -a` fails to copy symlink to directory (LP: #2116859)
    - Fix dpkg-source fails to unpack broken symlink (LP: #2116886)
    - Fix Incorrect evaluation of expr (LP: #2112445)
    - Fix cat doesn't handle EPERM (LP: #2112552)
    - Fix  /bin/stty: invalid argument 'sane' (LP: #2113983)
    - Fix tee is buffered (LP: #2114706)
    - Fix rm of long paths (LP: #2114886)
    - Fix ls doesn't include acl "+" info on symlink (LP: #2114887)
    - Fix fold: failed to read line: stream did not contain valid UTF-8
      (LP: #2114970)
    - Fix  gpgrt-config invalid output due to rust-coreutils "expr"
      (LP: #2115147)
    - Fix `cp --no-dereference --parents` where source is a symlink to
      a directory (LP: #2116572)
    - Internationalization and French translations for a lot of stuff
  * Install locales
  * d/patches/Setup-localization-for-utility-symlinks.patch: Setup the
    localization when invoked via symlinks

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 21 Jul 2025 12:48:46 +0200

rust-coreutils (0.1.0-0ubuntu1) questing; urgency=medium

  * New upstream release.
    - Add the -Z,--context options (LP: #2110910)
    - Add install -T (LP: #2111714)
    - Improve echo -- handling (LP: #2115196)
    - Fixes chroot in namespace (LP: #2111882)
    - sha256sum and friends now correctly handle * (LP: #2113963)
    - rm: Don't prompt if stdin is not interactive (LP: #2115035)
  * Update vendored dependencies and rebase the patches
  * Use Rust 1.85 for building, a bunch of workarounds are needed right now:
    - Use a vendored copy of the cargo wrapper that hardcodes cargo-1.85
    - Remove the unneeded dh_auto_configure call, this duplicates what we
      already do explictly
    - Switch the build system to makefile, since we actually use the
      makefile buildsystem

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 04 Jul 2025 13:58:43 +0200

rust-coreutils (0.0.30-4) unstable; urgency=medium

  * Team upload.

  [ Jeremy Bícha]
  * remove unused Build-Depends: librust-unix-socket-dev

  [ Peter Michael Green ]
  * Add patch for nix 0.30

 -- Peter Michael Green <plugwash@debian.org>  Tue, 30 Sep 2025 12:45:34 +0000

rust-coreutils (0.0.30-3) unstable; urgency=medium

  * Team upload.
  * Bump the notify dependency to v8

 -- NoisyCoil <noisycoil@debian.org>  Wed, 24 Sep 2025 19:38:04 +0200

rust-coreutils (0.0.30-3~exp1) experimental; urgency=medium

  * Also ship with b3sum (Closes: #1107092)

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 02 Jun 2025 20:43:15 +0200

rust-coreutils (0.0.30-2ubuntu2) questing; urgency=medium

  * Add missing libselinux1-dev, libclang-dev build dependencies

 -- Julian Andres Klode <juliank@ubuntu.com>  Tue, 03 Jun 2025 13:27:37 +0200

rust-coreutils (0.0.30-2ubuntu1) questing; urgency=medium

  * Vendor dependencies
    - debian/rules:
      + Add vendoring rules
      + Move the prepare-debian call to override_dh_auto_configure and adjust it
        to use our vendored dependencies
    - debian/patches:
      + Add workspace-exclude.patch to exclude vendored crates from the workspace
      + Drop all the patches to adjust crate versions
      + Drop all the patches to adjust code to different crate versions
      + Drop all the patches to disable certain programs or windows
        dependencies, as we can now
  * Build factor, basenc and install links for them
  * Build stty binary (LP: #2111211)

 -- Julian Andres Klode <juliank@ubuntu.com>  Tue, 03 Jun 2025 12:24:02 +0200

rust-coreutils (0.0.30-2) unstable; urgency=medium

  [ Dylan Aïssi ]
  * disable stdbuf
  * tweak build profile for right balance between the smallest binary size and enough debug info

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 24 Apr 2025 21:02:55 +0200

rust-coreutils (0.0.30-1) unstable; urgency=medium

  * New upstream release
    (Closes: #1101590)

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 04 Apr 2025 23:49:25 +0200

rust-coreutils (0.0.27-3) unstable; urgency=medium

  [ NoisyCoil ]
  * Team upload.
  * Package coreutils 0.0.27 from crates.io using debcargo 2.7.5
  * Remove unused librust-users-dev build-dependency
    (Closes: #1089872)

  [ Sylvestre Ledru ]
  * Update of the description. Thanks to Dylan Aissi
  * Fix the executable-not-elf-or-script warning
  * Remove old patches

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 22 Dec 2024 13:56:37 +0100

rust-coreutils (0.0.27-2) unstable; urgency=medium

  * Team upload.
  * Update for nix 0.28 (Closes: #1085563)
    + Drop relax-nix.patch and nix-0.27.patch
    + Add new patch for nix 0.29
  * Add patch to support rust-ini 0.18, since newer version is blocked on
    rust-trim-in-place clearing NEW.
  * Reduce context in patches to avoid problems applying them after changes
    in other patches.

 -- Peter Michael Green <plugwash@debian.org>  Sun, 03 Nov 2024 17:56:48 +0000

rust-coreutils (0.0.27-1) unstable; urgency=medium

  * New upstream release
  * Disable factor as num-prime isn't working in Debian yet

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 03 Nov 2024 00:31:47 +0100

rust-coreutils (0.0.26-5) unstable; urgency=medium

  * Only apply the debug sed if the file exists (Closes: #1082938)
  * Fix the half dependency (Closes: #1083058) - was fixed in the previous
    upload but not closed

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 06 Oct 2024 10:58:56 +0200

rust-coreutils (0.0.26-4) unstable; urgency=medium

  * Team upload.
  * Stop patching cargo dependencies on half and glob. Update Debian build
    dependencies accordingly.
  * Reduce context in relax-itertools.diff, relax-gcd.diff, relax-fundu.diff
    and relax-hostname.diff to avoid fuzz.

 -- Peter Michael Green <plugwash@debian.org>  Thu, 19 Sep 2024 14:50:41 +0000

rust-coreutils (0.0.26-3) unstable; urgency=medium

  * Relax notify dependency to support 6.x

 -- James McCoy <jamessan@debian.org>  Tue, 11 Jun 2024 16:29:09 -0400

rust-coreutils (0.0.26-2) unstable; urgency=medium

  * Team upload

  [ Sylvestre Ledru ]
  * As nix & chrono have been updated, remove the upstream cherry-picked
    patches

  [ Peter Michael Green ]
  * Fix build on 32-bit architectures with time64 (Closes: #1071048)
    + Use mem::zeroed to create timespec structs as they contain padding on
      time64 architectures.
    + Build-depend on librust-selinux-sys-dev (>= 0.6.7-2)  to pick up time64
      fix.
  * Add patch to support nix 0.27 (upstream uses 0.28).
  * Tighten nix dependency in debian/control, the nix 0.27 patch will need
    to be removed when debian upgrades to nix 0.28.

 -- Peter Michael Green <plugwash@debian.org>  Wed, 15 May 2024 00:16:03 +0000

rust-coreutils (0.0.26-1) unstable; urgency=medium

  * New upstream release
    (Closes: #1067897, #1069413)
    Adds support for loongarch (Closes: #1059268)
  * remove librust-failure-dev, librust-failure-derive-dev unused deps
  * remove help2man from the build deps (not used)

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 01 May 2024 14:03:13 +0200

rust-coreutils (0.0.23-3) unstable; urgency=medium

  * Team upload.
  * Fix Debian dependency for "half" crate.

 -- Peter Michael Green <plugwash@debian.org>  Thu, 25 Jan 2024 08:27:35 +0000

rust-coreutils (0.0.23-2) unstable; urgency=medium

  * Team upload.
  * Relax crossterm dependency.

 -- Peter Michael Green <plugwash@debian.org>  Wed, 22 Nov 2023 17:02:31 +0000

rust-coreutils (0.0.23-1) unstable; urgency=medium

  * New upstream release
  * Fix "Fails to build source after successful build"
    (closes: #1046006)

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 18 Nov 2023 12:38:26 +0100

rust-coreutils (0.0.22-1) unstable; urgency=medium

  * New upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 15 Oct 2023 22:04:25 +0200

rust-coreutils (0.0.21-1) unstable; urgency=medium

  * New upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 03 Sep 2023 18:58:30 +0200

rust-coreutils (0.0.20-1) unstable; urgency=medium

  * New upstream release
  * librust-self-cell-dev is a new dep
  * Standards-Version updated 4.6.2

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 16 Jul 2023 18:34:00 +0200

rust-coreutils (0.0.19-3) unstable; urgency=medium

  * Team upload.
  * On 32-bit architectures, reduce debuginfo level and use thin lto rather
    than full lto to avoid issues with running out of address space.

 -- Peter Michael Green <plugwash@debian.org>  Sun, 16 Jul 2023 00:20:58 +0000

rust-coreutils (0.0.19-2) unstable; urgency=medium

  * Add missing build dep
    librust-clap-mangen-dev

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 14 Jul 2023 17:17:12 +0200

rust-coreutils (0.0.19-1) unstable; urgency=medium

  [ Peter Michael Green ]
  * Drop empty patch lower-zip.diff
  * Drop relax-bstr.diff
  * Build-depend explicitly on version 4 of clap and clap-complete.

  [ Sylvestre Ledru ]
  * New upstream release
  * Add override_dh_dwz

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 10 Jun 2023 14:04:16 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog rust-coreutils`.
